1

I have installed fresh Sitecore 8.2 rev 170614 instance on my machine. The installation is successful and when I login to Sitecore CMS, the launchpad opens, but when I am trying to access content editor, desktop or any other features from the control panel, I am getting the error/exception below.

Attempt by method 'Sitecore.Web.UI.Sheer.ClientPage.OnPreRender(System.EventArgs)' to access method 'System.Web.HttpResponse.get_HeadersWritten()' failed.

Exception: System.MethodAccessException
Message: Attempt by method 'Sitecore.Web.UI.Sheer.ClientPage.OnPreRender(System.EventArgs)' to access method 'System.Web.HttpResponse.get_HeadersWritten()' failed.
Source: Sitecore.Kernel
at Sitecore.Web.UI.Sheer.ClientPage.OnPreRender(EventArgs e) at Sitecore.Shell.Applications.ContentManager.ContentEditorPage.OnPreRender(EventArgs e) at System.Web.UI.Control.PreRenderRecursiveInternal() at System.Web.UI.Page.ProcessRequestMain(Boolean includeStagesBeforeAsyncPoint, Boolean includeStagesAfterAsyncPoint)

Currently using: 8.2 rev. 170614

Also when I have upgraded Sitecore 8.1 to Sitecore 8.2 rev. 170614, I am facing this same issue.

  • What .NET version you have on your machine? – Ahmed Okour Sep 19 '17 at 13:50
  • .Net Framework 4.5 – Sudh Sep 19 '17 at 13:58
  • Did you try installing .NET 4.6? – Ahmed Okour Sep 19 '17 at 14:28
  • Thank you. By upgrading to .net framework 4.5.2 solved my issue. – Sudh Sep 20 '17 at 7:48
0

According to this information: HttpResponse.HeadersWritten Property, the HeadersWritten property was available from .net 4.5.2 and up. Please make sure you have installed at least .net 4.5.2 framework on your machine and then try it again.

Looking at the installation guide for 8.2 update 4 (rev 170614). .Net 4.5.2 is a minimum requirement.

This is a quote from the guide:

Sitecore XP 8.2 is only compatible with the client and server operating systems that support .NET Framework 4.5.2.

and

2.1.3 .NET Framework Requirements

Sitecore XP requires .NET Framework 4.5.2.

You must apply any available updates to the .NET Framework to every Sitecore installation.

  • Thank you. By upgrading to .net framework 4.5.2 solved my issue. – Sudh Sep 20 '17 at 7:48

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.